# Package org.spongepowered.asm.mixin.transformer.ext.extensions

Internal mixin transformation pipeline extensions.

Class Summary
ExtensionCheckClass: Mixin transformer module which runs CheckClassAdapter on the post-mixin bytecode
ExtensionCheckInterfaces: Checks whether interfaces declared on mixin target classes are actually fully implemented and generates reports to the console and to files on disk
ExtensionClassExporter: Debug exporter
ExtensionLVTCleaner: Strips synthetic local variables from the LVT after exporting to avoid debuggers becoming confused by them.

Exception Summary
ExtensionCheckClass.ValidationFailedException: Exception thrown when checkclass fails